# Asterisk Project : Asterisk 13 Function_STRPTIME

Created by wikibot on Aug 08, 2014

# STRPTIME()

### Synopsis

Returns the epoch of the arbitrary date/time string structured as described by the format.

### Description

This is useful for converting a date into `EPOCH` time, possibly to pass to an application like SayUnixTime or to calculate the difference between the two date strings

Example: ${STRPTIME(2006-03-01 07:30:35,America/Chicago,%Y-%m-%d %H:%M:%S)} returns 1141219835

### Syntax

    STRPTIME(datetime,timezone,format)

##### Arguments

- `datetime`
- `timezone`
- `format`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538